package de.fraunhofer.iem.dataprovider.gitlab

import org.springframework.beans.factory.annotation.Value
import org.springframework.stereotype.Component

interface GitlabConfiguration {
    var host: String
    var accessToken: String
}
@Component
class OpenCodeGitlabConfiguration: GitlabConfiguration {
    @Value("\${OPENCODE_GITLAB_URL}")
    override lateinit var host: String
    @Value("\${OPENCODE_GITLAB_TOKEN}")
    override lateinit var accessToken: String
}

@Component
class GitHubConfiguration: GitlabConfiguration {
    @Value("\${GITHUB_URL}")
    override lateinit var host: String
    @Value("\${GITHUB_TOKEN}")
    override lateinit var accessToken: String
}
